Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.monitor
Interface CurrentMonitorStatistics

    public interface CurrentMonitorStatistics

Interface `CurrentStatistics` contains information of current Statistics in the report server.

Method Summary
`java.lang.String` | `displayBeginTime()` Displays statistics beginning time to string.
`java.lang.String` | `displayEndTime()` Displays statistics end time with string format.
`int` | `getAmountOfReportPagesEveryMinute()` Gets the amount of report pages number every minute.
`long` | `getAmountOfReports()` Gets the amount of reports.
`int` | `getAmountOfReportsEveryMinute()` Gets the amount of reports number every minute.
`long` | `getAmountOfSucceedReports()` Gets the amount of succeeded reports.
`int` | `getAverageNeedTimeEveryReport()` Gets the average time since submitting report to finishing running report.
`int` | `getAverageRunTimeEveryReport()` Gets the average running time since starting to run to finishing running report.
`long` | `getAverageWaitTimeInRun()` Gets the average waiting time for when the report has been in the running queue.
`int` | `getAverageWaitTimeToRun()` Gets the average waiting time since submitting report to running report.
`long` | `getBeginTimeToStatistics()` Gets statistics beginning time.
`long` | `getEndTimeToStatistics()` Gets statistics end time.
`void` | `setBeginTimeToStatistics(long startTime)` Sets statistics beginning time.
`void` | `setEndTimeToStatistics(long endTime)` Sets statistics end time.

Method Detail

### getAmountOfReportPagesEveryMinute

    int getAmountOfReportPagesEveryMinute()

  Gets the amount of report pages number every minute.

  Returns:
    the amount of report pages number every minute.

### getAmountOfReportsEveryMinute

    int getAmountOfReportsEveryMinute()

  Gets the amount of reports number every minute.

  Returns:
    the amount of reports number every minute.

### getAverageWaitTimeInRun

    long getAverageWaitTimeInRun()

  Gets the average waiting time for when the report has been in the running queue.

  Returns:
    the average waiting time for when the report has been in the running queue in milliseconds.

### getAverageWaitTimeToRun

    int getAverageWaitTimeToRun()

  Gets the average waiting time since submitting report to running report.

  Returns:
    the average waiting time since submitting to running report in milliseconds.

### getAverageNeedTimeEveryReport

    int getAverageNeedTimeEveryReport()

  Gets the average time since submitting report to finishing running report.

  Returns:
    the average time since submitting report to finishing running report in milliseconds.

### getAverageRunTimeEveryReport

    int getAverageRunTimeEveryReport()

  Gets the average running time since starting to run to finishing running report.

  Returns:
    the average running time.

### getAmountOfSucceedReports

    long getAmountOfSucceedReports()

  Gets the amount of succeeded reports.

  Returns:
    the amount of succeeded reports.

### getAmountOfReports

    long getAmountOfReports()

  Gets the amount of reports.

  Returns:
    the amount of all reports.

### setBeginTimeToStatistics

    void setBeginTimeToStatistics(long startTime)

  Sets statistics beginning time.

  Parameters:
    `startTime` - the beginning time for statistics.

### setEndTimeToStatistics

    void setEndTimeToStatistics(long endTime)

  Sets statistics end time.

  Parameters:
    `endTime` - the end time for statistics.

### getBeginTimeToStatistics

    long getBeginTimeToStatistics()

  Gets statistics beginning time.

  Returns:
    the beginning time for statistics in milliseconds.

### getEndTimeToStatistics

    long getEndTimeToStatistics()

  Gets statistics end time.

  Returns:
    the end time for statistics in milliseconds.

### displayEndTime

    java.lang.String displayEndTime()

  Displays statistics end time with string format.

  Returns:
    the end time for statistics in milliseconds with string format.

### displayBeginTime

    java.lang.String displayBeginTime()

  Displays statistics beginning time to string.

  Returns:
    the beginning time for statistics in milliseconds with string format.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD